#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Sat Oct 17 14:54:09 JST 2015
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
DEVICE= GeForce-GTX-TITAN-Black
MP= 15
CG= 350
MAXmem= 6440797696
MAXDIM= 26955
MAXDIM2= 38120
MAXDIM3= 19060
MAXDIM4= 13477
CUDA= 6050
#define CURRENT_GPU 350
#endif
{
//==========
if(blk==-1){
	#include "ssymv-lower-auto2.h"
}
//==========
#if 0
struct ssymv_auto_tuning_param_t { 
	int	BLOCK_SIZE, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 64, 4, 44, 4, 7 },
	{ 96, 3, 30, 4, 1 },
	{ 96, 3, 48, 3, 0 },
	{ 96, 3, 48, 3, 1 },
	{ 64, 5, 60, 3, 0 },
	{ 128, 2, 24, 4, 0 },
	{ 64, 4, 48, 4, 0 },
	{ 64, 2, 32, 7, 0 },
	{ 64, 4, 48, 4, 9 },
	{ 64, 3, 63, 4, 0 },
	{ 64, 5, 60, 3, 9 },
	{ 64, 5, 60, 3, 8 },
	{ 96, 3, 51, 3, 3 },
	{ 96, 3, 51, 3, 2 },
	{ 96, 3, 51, 3, 1 },
	{ 96, 3, 45, 3, 9 },
	{ 96, 3, 45, 3, 8 },
	{ 96, 3, 45, 3, 7 },
	{ 96, 3, 45, 3, 6 },
	{ 96, 3, 45, 3, 5 },
	{ 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 44, 4, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 30, 4, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 48, 3, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 48, 3, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 5, 60, 3, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 128, 2, 24, 4, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 48, 4, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 2, 32, 7, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 48, 4, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 63, 4, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 5, 60, 3, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 5, 60, 3, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 51, 3, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 51, 3, 2 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 51, 3, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 45, 3, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 45, 3, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 45, 3, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 45, 3, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API(SYMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 45, 3, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
