#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-U
Sun Oct 18 22:58:24 JST 2015
Host on gwacsg06
Device is Tesla-K20Xm
****************************************/-->
DEVICE= Tesla-K20Xm
MP= 14
CG= 350
MAXmem= 6039118336
MAXDIM= 26101
MAXDIM2= 36913
MAXDIM3= 18456
MAXDIM4= 13050
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif
{
//==========
if(blk==-1){
	#include "dsymv-upper-auto2.h"
}
//==========
#if 0
struct dsymv_auto_tuning_param_t { 
	int	BLOCK_SIZE, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 64, 4, 40, 3, 0 },
	{ 64, 5, 60, 2, 8 },
	{ 96, 3, 39, 2, 7 },
	{ 64, 5, 60, 2, 5 },
	{ 96, 3, 39, 2, 1 },
	{ 160, 2, 26, 2, 1 },
	{ 64, 4, 64, 2, 3 },
	{ 160, 2, 26, 2, 7 },
	{ 160, 2, 24, 2, 3 },
	{ 64, 4, 64, 2, 6 },
	{ 64, 2, 38, 4, 8 },
	{ 128, 2, 38, 2, 5 },
	{ 64, 2, 38, 4, 5 },
	{ 64, 4, 60, 2, 6 },
	{ 160, 2, 24, 2, 0 },
	{ 64, 3, 30, 4, 0 },
	{ 64, 2, 26, 5, 0 },
	{ 64, 4, 60, 2, 8 },
	{ 160, 2, 24, 2, 8 },
	{ 64, 2, 40, 4, 9 },
	{ 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 40, 3, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 5, 60, 2, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 39, 2, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 5, 60, 2, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 3, 39, 2, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 160, 2, 26, 2, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 64, 2, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 160, 2, 26, 2, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 160, 2, 24, 2, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 64, 2, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 2, 38, 4, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 128, 2, 38, 2, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 2, 38, 4, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 60, 2, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 160, 2, 24, 2, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 30, 4, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 2, 26, 5, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 60, 2, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 160, 2, 24, 2, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 2, 40, 4, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
